## ros-humble-clearpath-platform-msgs 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(clearpath_platform_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(std_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  msg/Drive.msg
  msg/DriveFeedback.msg
  msg/Fans.msg
  msg/Feedback.msg
  msg/Lights.msg
  msg/Power.msg
  msg/RGB.msg
  msg/Status.msg
  msg/StopStatus.msg
  srv/ConfigureMcu.srv
  DEPENDENCIES std_msgs builtin_interfaces
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-clearpath-platform-msgs (0.0.4-1jammy) jammy; urgency=high

  * Removed domain id and namespace services
  * ConfigureMcu service
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 20 Jun 2023 04:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.3-1jammy) jammy; urgency=high

  * Renamed namespace variable to robot_namespace
  * Added SetNamespace service for micro ROS
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 12 Jun 2023 04:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.2-1jammy) jammy; urgency=high

  * [clearpath_platform_msgs] Fixed typo in Power msg enum.
  * [clearpath_platform_msgs] Added size constants for A200 values.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Fri, 19 May 2023 04:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.1-1jammy) jammy; urgency=high

  * [clearpath_platform_msgs] Added Husky A200 to Power message.
  * Moved messages into clearpath_platform_msgs and created clearpath_msgs metapackage.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 02 May 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-clearpath-platform-msgs
Section: misc
Priority: optional
Maintainer: Roni Kreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-platform-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Messages for Clearpath Platforms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-platform-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-clearpath-platform-msgs 0.2.0

=== debian/changelog ===
ros-humble-clearpath-platform-msgs (0.2.0-1bookworm) bookworm; urgency=high

  * Added charger connected status to Power message
  * Removed 48V current
  * Removed HMI msg
  * Renamed platform constants to use platform code
    Added HMI message
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 05 Dec 2023 16:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.4-1bookworm) bookworm; urgency=high

  * Removed domain id and namespace services
  * ConfigureMcu service
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 19 Jun 2023 16:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.3-1bookworm) bookworm; urgency=high

  * Renamed namespace variable to robot_namespace
  * Added SetNamespace service for micro ROS
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Sun, 11 Jun 2023 16:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.2-1bookworm) bookworm; urgency=high

  * [clearpath_platform_msgs] Fixed typo in Power msg enum.
  * [clearpath_platform_msgs] Added size constants for A200 values.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 18 May 2023 16:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.1-1bookworm) bookworm; urgency=high

  * [clearpath_platform_msgs] Added Husky A200 to Power message.
  * Moved messages into clearpath_platform_msgs and created clearpath_msgs metapackage.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 01 May 2023 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-platform-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-platform-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-clearpath-platform-msgs//opt/ros/humble/opt/clearpath_platform_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-clearpath-platform-msgs 0.3.0

=== debian/changelog ===
ros-humble-clearpath-platform-msgs (0.3.0-2bookworm) bookworm; urgency=high

  * Added needs_reset
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Wed, 18 Sep 2024 16:00:00 -0000

ros-humble-clearpath-platform-msgs (0.2.0-2bookworm) bookworm; urgency=high

  * Added charger connected status to Power message
  * Removed 48V current
  * Removed HMI msg
  * Renamed platform constants to use platform code
    Added HMI message
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Tue, 05 Dec 2023 16:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.4-2bookworm) bookworm; urgency=high

  * Removed domain id and namespace services
  * ConfigureMcu service
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 19 Jun 2023 16:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.3-2bookworm) bookworm; urgency=high

  * Renamed namespace variable to robot_namespace
  * Added SetNamespace service for micro ROS
  * Contributors: Roni Kreinin

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Sun, 11 Jun 2023 16:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.2-2bookworm) bookworm; urgency=high

  * [clearpath_platform_msgs] Fixed typo in Power msg enum.
  * [clearpath_platform_msgs] Added size constants for A200 values.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Thu, 18 May 2023 16:00:00 -0000

ros-humble-clearpath-platform-msgs (0.0.1-2bookworm) bookworm; urgency=high

  * [clearpath_platform_msgs] Added Husky A200 to Power message.
  * Moved messages into clearpath_platform_msgs and created clearpath_msgs metapackage.
  * Contributors: Tony Baltovski

 -- Roni Kreinin <rkreinin@clearpathrobotics.com>  Mon, 01 May 2023 16:00:00 -0000
